import React, { useEffect, useRef } from 'react';
import loader from '@/components/AMap/loader';
import geoPolygon from './geoPolygon';

const plugins = [];

export default (props) => {
  const container = useRef();

  useEffect(() => {
    loader(plugins).then((AMap) => {
      const map = new AMap.Map(container.current, {
        mapStyle: 'amap://styles/darkblue',
        zoom: 10,
        resizeEnable: true,
        center: [112.092716, 32.681642],
      });

      map.setFeatures(['road', 'bg']); // 只显示道路

      // 遮罩层;
      geoPolygon(AMap, map);
    });
  }, []);

  return <div ref={container} style={{ height: '100%' }} />;
};
